Bug 214240 - snd_uaudio(4): Wrong link to the USB Audio Class Specifications
Summary: snd_uaudio(4): Wrong link to the USB Audio Class Specifications
Status: Closed FIXED
Alias: None
Product: Documentation
Classification: Unclassified
Component: Documentation (show other bugs)
Version: Latest
Hardware: Any Any
: --- Affects Only Me
Assignee: freebsd-doc (Nobody)
URL:
Keywords: patch
Depends on:
Blocks:
 
Reported: 2016-11-05 12:31 UTC by Tobias Kortkamp
Modified: 2017-02-05 22:03 UTC (History)
1 user (show)

See Also:


Attachments
snd_uaudio.4.diff (509 bytes, patch)
2016-11-05 12:31 UTC, Tobias Kortkamp
no flags Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Tobias Kortkamp freebsd_committer 2016-11-05 12:31:14 UTC
Created attachment 176655 [details]
snd_uaudio.4.diff

snd_uaudio(4) links to http://www.usb.org/developers/devclass_docs/ which does not exist.  The correct URL is http://www.usb.org/developers/docs/devclass_docs/.
Comment 1 commit-hook freebsd_committer 2016-11-12 19:46:52 UTC
A commit references this bug:

Author: bcr
Date: Sat Nov 12 19:45:55 UTC 2016
New revision: 308583
URL: https://svnweb.freebsd.org/changeset/base/308583

Log:
  Fix a broken link to the USB audio class specs.

  PR:		214240
  Submitted by:	Tobias Kortkamp t@tobik.me
  MFC after:	5 days

Changes:
  head/share/man/man4/snd_uaudio.4
Comment 2 Benedict Reuschling freebsd_committer 2016-11-12 19:49:36 UTC
A patch was committed to HEAD to fix the link. Waiting for MFC time to arrive.
Comment 3 commit-hook freebsd_committer 2017-02-05 21:56:49 UTC
A commit references this bug:

Author: bcr
Date: Sun Feb  5 21:56:36 UTC 2017
New revision: 313304
URL: https://svnweb.freebsd.org/changeset/base/313304

Log:
  MFC r308583:
  Fix a broken link to the USB audio class specs.

  PR:		214240
  Submitted by:	Tobias Kortkamp t@tobik.me

Changes:
_U  stable/11/
  stable/11/share/man/man4/snd_uaudio.4
Comment 4 Benedict Reuschling freebsd_committer 2017-02-05 22:03:14 UTC
Belatedly close this PR after the MFC was finally done. Sorry for the delay.
PR closed!